Bug 1283702 - (CVE-2015-6833) CVE-2015-6833 php: Files from archive can be extracted outside of destination directory using phar
CVE-2015-6833 php: Files from archive can be extracted outside of destination...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150708,repor...
: Security
Depends On: 1305850 1305851
Blocks: 1283703 1306180
  Show dependency treegraph
 
Reported: 2015-11-19 10:57 EST by Adam Mariš
Modified: 2016-03-15 16:58 EDT (History)
18 users (show)

See Also:
Fixed In Version: php 5.6.12, php 5.5.28, php 5.4.44
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the way PHP's Phar extension parsed Phar archives. A specially crafted archive could cause PHP to crash or, possibly, execute arbitrary code when opened.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 03:18:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-19 10:57:36 EST
A vulnerability in Phar was found, allowing the files extracted from archive to be placed outside of the destination directory.

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=dda81f0505217a95db065e6bf9cc2d81eb902417

Upstream bug:

https://bugs.php.net/bug.php?id=70019

CVE assignment:

http://www.openwall.com/lists/oss-security/2015/09/08/7
Comment 3 errata-xmlrpc 2016-03-15 16:58:08 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2016:0457 https://rhn.redhat.com/errata/RHSA-2016-0457.html

Note You need to log in before you can comment on or make changes to this bug.